#! /bin/bash

MNTPOINT=$1
echo "* MOUNTPOINT: ${MNTPOINT}"
ls -l ${MNTPOINT}

EMMCDIR=/ro/.host
ALPINEDIR=${EMMCDIR}/alpine

echo -n "* mount overlay partition... "
mount_overlay &> /dev/null
if [ "$?" = "0" ]; then
  echo "OK."
else
  echo "Failed."
  exit 1
fi

DIR_OK=1

if [ ! -d ${ALPINEDIR} ]; then
  echo -n "* creating Alpine Firmware directory... "
  mkdir -p ${ALPINEDIR} &> /dev/null
  if [ "$?" = "0" ]; then
    echo "OK."
  else
    echo "Failed."
    DIR_OK=0
  fi
else
  echo "* Alpine Firmware directory exists."
fi

EXITCODE=1

if [ "${DIR_OK}" = "1" ]; then
  echo -n "* copy Alpine initramfs firmware to ${ALPINEDIR}... "
  cp ${MNTPOINT}/initramfs.img ${ALPINEDIR}/initramfs.img &> /dev/null
  if [ "$?" = "0" ]; then
    echo "OK."
    EXITCODE=0
    echo "--- File in Alpine Directory ---"
    ls -l ${ALPINEDIR}
  else
    echo "Failed."
  fi
fi

echo -n "* un-mount overlay partition... "
mount_overlay -u &> /dev/null
echo "OK."

exit ${EXITCODE}
